

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>2.4. Ubuntu &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <script src="../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../genindex.html" />
    <link rel="search" title="検索" href="../search.html" />
    <link rel="next" title="2.5. CentOS" href="centos.html" />
    <link rel="prev" title="2.3. Debian GNU/Linux" href="debian.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../en/html/install/ubuntu.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="centos.html" title="2.5. CentOS"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="debian.html" title="2.3. Debian GNU/Linux"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../install.html" accesskey="U"><span class="section-number">2. </span>インストール</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">2.4. </span>Ubuntu</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="ubuntu">
<h1><span class="section-number">2.4. </span>Ubuntu<a class="headerlink" href="#ubuntu" title="このヘッドラインへのパーマリンク">¶</a></h1>
<p>このセクションではUbuntu上でGroonga関連のdebパッケージをインストールする方法を説明します。これらのパッケージは <code class="docutils literal notranslate"><span class="pre">apt</span></code> でインストールできます。</p>
<p>32-bit用と64-bit用のパッケージを配布していますが、サーバ用途には64-bitパッケージを利用することをオススメします。32-bit用パッケージはテスト用か開発用にだけ使って下さい。32-bit用パッケージを使った場合は、中程度のサイズのデータでもメモリ不足エラーになることがあります。</p>
<div class="section" id="ppa-personal-package-archive">
<h2><span class="section-number">2.4.1. </span>PPA（Personal Package Archive）<a class="headerlink" href="#ppa-personal-package-archive" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>Ubuntu用のGroongaのAPTリポジトリーはLaunchpad上のPPA（Personal Package Archive）を使っています。このPPAからAPTでGroongaをインストールできます。</p>
<p>サポートしているUbuntuのバージョンは次の通りです。</p>
<blockquote>
<div><ul class="simple">
<li><p>16.04 LTS Xenial Xerus</p></li>
<li><p>18.04 LTS Bionic Beaver</p></li>
<li><p>19.10 Eoan Ermine</p></li>
<li><p>20.04 Focal Fossa</p></li>
</ul>
</div></blockquote>
<p>Groongaをインストールするためにuniverseリポジトリを有効にしてください:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo apt-get -y install software-properties-common
% sudo add-apt-repository -y universe
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">ppa:groonga/ppa</span></code> PPAをシステムに登録します:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo add-apt-repository -y ppa:groonga/ppa
% sudo apt-get update
</pre></div>
</div>
<p>インストール:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo apt-get -y install groonga
</pre></div>
</div>
<div class="admonition note">
<p class="admonition-title">注釈</p>
<p><code class="docutils literal notranslate"><span class="pre">groonga</span></code> パッケージは全文検索のための最小構成パッケージです。Groongaをサーバー用途で使うなら、設定済みの追加パッケージをインストールすることができます。</p>
<p>サーバー用途のための2つのパッケージがあります。</p>
<ul class="simple">
<li><p>groonga-httpd (nginxを元にしたHTTPサーバー)</p></li>
<li><p>groonga-server-gqtp (GQTPサーバー)</p></li>
</ul>
<p>詳細は <a class="reference internal" href="../server.html"><span class="doc">サーバー</span></a> を参照してください。</p>
</div>
<p><a class="reference external" href="https://taku910.github.io/mecab/">MeCab</a> をトークナイザーとして使いたいときは、groonga-tokenizer-mecabパッケージをインストールしてください。</p>
<p>groonga-tokenizer-mecabパッケージのインストール:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo apt-get -y install groonga-tokenizer-mecab
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">TokenFilterStem</span></code> をトークンフィルターとして使いたいときはgroonga-tokenizer-filter-stemパッケージをインストールしてください。</p>
<p>groonga-token-filter-stemパッケージのインストール:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo apt-get -y install groonga-token-filter-stem
</pre></div>
</div>
<p><a class="reference external" href="http://munin-monitoring.org/">Munin</a> プラグインを提供するパッケージもあります。MuninでGroongaの状態をモニターしたい場合は、groonga-munin-pluginsパッケージをインストールしてください。</p>
<p>groonga-munin-pluginsパッケージのインストール:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo apt-get -y install groonga-munin-plugins
</pre></div>
</div>
<p>MySQL互換のノーマライザーをGroongaのプラグインとして提供するパッケージがあります。MySQL互換のノーマライザーを使うには <code class="docutils literal notranslate"><span class="pre">groonga-normalizer-mysql</span></code> パッケージをインストールしてください。</p>
<p>groonga-normalizer-mysqlパッケージのインストール:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo apt-get -y install groonga-normalizer-mysql
</pre></div>
</div>
</div>
<div class="section" id="build-from-source">
<h2><span class="section-number">2.4.2. </span>ソースからビルド<a class="headerlink" href="#build-from-source" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>Groongaをビルドするために必要なパッケージをインストールします:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo apt-get -V -y install wget tar build-essential zlib1g-dev liblzo2-dev libmsgpack-dev libzmq-dev libevent-dev libmecab-dev
</pre></div>
</div>
<p>ソースをダウンロードします:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% wget https://packages.groonga.org/source/groonga/groonga-11.0.0.tar.gz
% tar xvzf groonga-11.0.0.tar.gz
% cd groonga-11.0.0
</pre></div>
</div>
<p>configureを実行します（ <code class="docutils literal notranslate"><span class="pre">configure</span></code> のオプションについては <a class="reference internal" href="others.html#source-configure"><span class="std std-ref">configure</span></a> を参照してください）:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% ./configure
</pre></div>
</div>
<p>ビルド:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% make -j$(grep &#39;^processor&#39; /proc/cpuinfo | wc -l)
</pre></div>
</div>
<p>インストール:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo make install
</pre></div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">2.4. Ubuntu</a><ul>
<li><a class="reference internal" href="#ppa-personal-package-archive">2.4.1. PPA（Personal Package Archive）</a></li>
<li><a class="reference internal" href="#build-from-source">2.4.2. ソースからビルド</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="debian.html"
                        title="前の章へ"><span class="section-number">2.3. </span>Debian GNU/Linux</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="centos.html"
                        title="次の章へ"><span class="section-number">2.5. </span>CentOS</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="centos.html" title="2.5. CentOS"
             >次へ</a> |</li>
        <li class="right" >
          <a href="debian.html" title="2.3. Debian GNU/Linux"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../install.html" ><span class="section-number">2. </span>インストール</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">2.4. </span>Ubuntu</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>